ExternalEntityDecl (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.dtd
Class ExternalEntityDecl

    java.lang.Object
      org.dom4j.dtd.ExternalEntityDecl

public class ExternalEntityDecl
extends Object

`ExternalEntityDecl` represents an external entity declaration in a DTD.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Constructor Summary
`ExternalEntityDecl()`
`ExternalEntityDecl(String name, String publicID, String systemID)`

Method Summary
`String` | `getName()` Getter for property name.
`String` | `getPublicID()` Getter for property publicID.
`String` | `getSystemID()` Getter for property systemID.
`void` | `setName(String name)` Setter for property name.
`void` | `setPublicID(String publicID)` Setter for property publicID.
`void` | `setSystemID(String systemID)` Setter for property systemID.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalEntityDecl

    public ExternalEntityDecl()

### ExternalEntityDecl

    public ExternalEntityDecl(String name,
                              String publicID,
                              String systemID)

Method Detail

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getPublicID

    public String getPublicID()

  Getter for property publicID.

  Returns:
    Value of property publicID.

### setPublicID

    public void setPublicID(String publicID)

  Setter for property publicID.

  Parameters:
    `publicID` - New value of property publicID.

### getSystemID

    public String getSystemID()

  Getter for property systemID.

  Returns:
    Value of property systemID.

### setSystemID

    public void setSystemID(String systemID)

  Setter for property systemID.

  Parameters:
    `systemID` - New value of property systemID.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.